%define kdeprefix /usr
%define qtdir /usr/lib/qt-1.45
%define kderelease 6
%define sourcedir stable/%{version}/distribution/tar/generic/source
%define kdename kdegames

Name: %{kdename}
Icon: kde-icon.xpm
Summary: K Desktop Environment - Games
Version: 1.1.2
Release: %{kderelease}
Epoch: 5
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{kdename}-%{version}.tar.bz2
Patch: kdegames-gcc296bug.patch
Group: Amusements/Games
BuildRoot: %{_tmppath}/%{kdename}-buildroot
Copyright: GPL
Requires: kdesupport
BuildPrereq: compat-egcs-c++, qt1x-devel, kdelibs-devel >= 1.1.2-19
Prefix: %{kdeprefix}
Excludearch: ia64

%description
Games for the K Desktop Environment.
Included with this package are: kabalone, kasteroids, kblackbox, kmahjongg,
kmines, konquest, kpat, kpoker, kreversi, ksame, kshisen, ksokoban, ksmiletris,
ksnake, ksirtet.

%prep
%setup -q -n kdegames
#%patch -p1 -b .gcc296bug
make -f Makefile.cvs

%build
export KDEDIR=%{kdeprefix} QTDIR=%{qtdir}
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
FLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

[ -f configure.in ] && libtoolize --copy --force
CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib" \
./configure \
  --prefix=%{kdeprefix} \
  --x-libraries=/usr/X11R6/lib \
  --x-includes=/usr/X11R/include \
  --with-install-root=$RPM_BUILD_ROOT

make -j $CPUS CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib" \
              CFLAGS="$FLAGS" CXXFLAGS="$FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make install-strip
cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

echo "%docdir /usr/doc/kde" >> $RPM_BUILD_DIR/file.list.%{kdename}

# remove things we don't want
sed -e '/\/kasteroids/s|^|#|' > \
	$RPM_BUILD_DIR/file.list.%{kdename}.new < \
	$RPM_BUILD_DIR/file.list.%{kdename}
mv $RPM_BUILD_DIR/file.list.%{kdename}.new \
	$RPM_BUILD_DIR/file.list.%{kdename}
sed -e '/\/ksirtet/s|^|#|' > \
	$RPM_BUILD_DIR/file.list.%{kdename}.new < \
	$RPM_BUILD_DIR/file.list.%{kdename}
mv $RPM_BUILD_DIR/file.list.%{kdename}.new \
	$RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Sun Jul 31 2000 Than Ngo <than@redhat.de>
- rebuilt against compat-egcs-c++
- clean up specfile

* Tue Jun  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- work around gcc 2.96 bugs

* Mon Jun 05 2000 Than Ngo <than@redhat.de>
- current version from KDE_1_1_BRANCH
- rebuild for 7.0

* Fri Dec  7 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- version from KDE_1_1_BRANCH
- rebuild for 6.2

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark doc files as such

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- 1.1.2 release.

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com> 
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release
- ripped out asteroids and sirtet

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Fri Feb 05 1999 Preston Brown <pbrown@redhat.com>
- rebuilt for new libstdc++ etc.

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged updates from Duncan Haldane, change /opt/kde --> /usr

